Skip to content
Start here

[DEPRECATED] Delete Pipeline

Deprecated
client.Pipelines.Delete(ctx, pipelineName, body) error
DELETE/accounts/{account_id}/pipelines/{pipeline_name}

[DEPRECATED] Delete a pipeline. Use the new /pipelines/v1/pipelines endpoint instead.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines Write
ParametersExpand Collapse
pipelineName string

Defines the name of the pipeline.

maxLength128
minLength1
body PipelineDeleteParams
AccountID param.Field[string]

Specifies the public ID of the account.

[DEPRECATED] Delete Pipeline

package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.Pipelines.Delete(
    context.TODO(),
    "sample_pipeline",
    pipelines.PipelineDeleteParams{
      AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples